
Foreman - Bug #24132

Broken Hosts breadcrumb link

07/02/2018 06:21 PM - Andrew Kofink

Status: Closed   

Priority: Normal   

Assignee: Liza Gilman   

Category: Web Interface   

Target version: 1.20.0   

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link: 1601932 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5862

  

Description

Reproduce:

Hosts -> All Hosts

Click a host

Click the 'Hosts' breadcrumb link

Expected:

User is taken to all hosts index page

Actual:

Nothing happens, the link goes to the current host with a trailing octothorpe (i.e. 

https://foreman/hosts/centos7-katello-client.virbr0.akofink-desktop#)

Seen in Katello nightly; I haven't tested if this is an issue in Foreman without Katello.

Related issues:

Has duplicate Foreman - Bug #24583: Breadcrumb: Unable to navigate back to Ho... Duplicate

Associated revisions

Revision 017313c5 - 08/02/2018 02:19 PM - Liza Gilman

Fixes #24132, #24315 - fix breadcrumbs index links

History

#1 - 07/17/2018 01:42 PM - Andrew Kofink

- Bugzilla link set to 1601932

#2 - 07/19/2018 03:18 PM - Liza Gilman

- Project changed from Katello to Foreman

- Triaged set to No

#3 - 07/19/2018 03:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5862 added

#4 - 08/02/2018 02:19 PM - Tomer Brisker

- Target version set to 1.20.0

- Fixed in Releases 1.20.0 added

#5 - 08/02/2018 03:01 PM - Liza Gilman

- Status changed from Ready For Testing to Closed
https://foreman/hosts/centos7-katello-client.virbr0.akofink-desktop#


Applied in changeset 017313c5361b04d4c8b8d3841390b9a16615b495.

#6 - 08/10/2018 12:19 PM - Adam Ruzicka

- Has duplicate Bug #24583: Breadcrumb: Unable to navigate back to Hosts page added

#7 - 10/15/2018 11:20 AM - Tomer Brisker

- Category set to Web Interface

- Assignee set to Liza Gilman
